# studio::GammaPattern Class Reference

`#include <dialog_setup.h>`

List of all members.

## Public Member Functions

void | refresh ()
void | set_gamma_r (float x)
void | set_gamma_g (float x)
void | set_gamma_b (float x)
void | set_black_level (float x)
void | set_red_blue_level (float x)
float | get_gamma_r () const
float | get_gamma_g () const
float | get_gamma_b () const
float | get_black_level () const
float | get_red_blue_level () const
| GammaPattern ()
| ~GammaPattern ()
bool | redraw (GdkEventExpose *bleh=NULL)

## Constructor & Destructor Documentation

GammaPattern::GammaPattern | ( |  | ) |

References redraw().

GammaPattern::~GammaPattern | ( |  | ) |

## Member Function Documentation

void GammaPattern::refresh | ( |  | ) |

Referenced by studio::Dialog_Setup::refresh().

void studio::GammaPattern::set_gamma_r | ( | float | x | ) | `[inline]`

Referenced by studio::Dialog_Setup::refresh().

void studio::GammaPattern::set_gamma_g | ( | float | x | ) | `[inline]`

Referenced by studio::Dialog_Setup::refresh().

void studio::GammaPattern::set_gamma_b | ( | float | x | ) | `[inline]`

Referenced by studio::Dialog_Setup::refresh().

void studio::GammaPattern::set_black_level | ( | float | x | ) | `[inline]`

Referenced by studio::Dialog_Setup::refresh().

void studio::GammaPattern::set_red_blue_level | ( | float | x | ) | `[inline]`

Referenced by studio::Dialog_Setup::refresh().

float studio::GammaPattern::get_gamma_r | ( |  | ) | const`[inline]`

float studio::GammaPattern::get_gamma_g | ( |  | ) | const`[inline]`

float studio::GammaPattern::get_gamma_b | ( |  | ) | const`[inline]`

float studio::GammaPattern::get_black_level | ( |  | ) | const`[inline]`

float studio::GammaPattern::get_red_blue_level | ( |  | ) | const`[inline]`

bool GammaPattern::redraw | ( | GdkEventExpose * | bleh = `NULL` | ) |

References synfigapp::Action::create().

Referenced by GammaPattern().

The documentation for this class was generated from the following files:

- dialog_setup.h
- dialog_setup.cpp